Summary:	Hierarchical Data Format Library
Name:		HDF
Version:	4.2r1
Release:	%mkrel 6
License:	BSD-like (see COPYING)
Group:		Development/C
Source:		ftp://ftp.ncsa.uiuc.edu/HDF/pub/outgoing/hdf4/hdf%{version}/hdf%{version}.tar.bz2
Patch3:		HDF-ppc.patch
Patch6:		hdf4.2r1-libm.patch
Patch11:	HDF4.1r5-ppc.patch
Patch12:	hdf4.2r1-test.patch
URL:		http://hdf.ncsa.uiuc.edu
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	byacc
BuildRequires:	flex
%if %{mdkversion} > 1020
BuildRequires:	gcc-gfortran
%else
BuildRequires:	gcc-g77
%endif
BuildRequires:	groff
BuildRequires:	zlib-devel
BuildRequires:	libjpeg-devel
Provides:	HDF-devel

%description
HDF is a multi-object file format that facilitates the transfer of various
types of scientific data between machines and operating systems. 
HDF allows self-definitions of data content and easy extensibility for
future enhancements or compatibility with other standard formats.
HDF includes Fortran and C calling interfaces, and utilities to
prepare raw image of data files or for use with other NCSA software.

The HDF library contains interfaces for storing and retrieving compressed or
uncompressed 8-bit and 24=bit raster images with palettes,
n-Dimensional scientific datasets and binary tables. AN interface is also
included that allows arbitrary grouping of other HDF objects.

%package util
Summary:	HDF utilities and test data files
Group:		Graphics

%description util
This package contains utilities for HDF data manipulation and
test data files.

%prep
%setup -q -n hdf%{version}
%ifarch ppc
%patch3 -p1 -b .ppcold
%endif
%patch6 -p1 -b .libm
%patch11 -p1 -b .ppc
%patch12 -p1 -b .test

# Make it lib64 aware
find . -name Makefile.in | \
  xargs perl -pi -e "s,^(libdir|LIBDIR)\s+=.+,\1 = \\\$(prefix)/%{_lib},"

%build
%if %{mdkversion} > 1020
export F77=gfortran
export FC=gfortran
%endif

# Build with PIC in case static library is built into a DSO afterwards
%ifarch ia64 x86_64
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DPIC -fPIC"
%endif
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%ifarch ppc
	./configure --prefix=%{_prefix} i386-unknown-linux
%else
	./configure --prefix=%{_prefix}
%endif
make CFLAGS="$RPM_OPT_FLAGS -ansi -D_BSD_SOURCE -DPC" FFLAGS="$RPM_OPT_FLAGS"

echo ====================TESTING=========================
make CFLAGS="$RPM_OPT_FLAGS -ansi -D_BSD_SOURCE -DPC" FFLAGS="$RPM_OPT_FLAGS" \
%ifarch ia64
  check -k || echo make test failed
%else
  check
%endif
echo ====================TESTING END=====================

mkdir -p samples
cp -a hdf/util/testfiles/* samples

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# remove files already provided by other packages (libjpeg, netcdf, zlib)
rm -f $RPM_BUILD_ROOT%{_includedir}/{jconfig.h,jerror.h,jmorecfg.h,jpeglib.h} \
    $RPM_BUILD_ROOT%{_includedir}/{zconf.h,zlib.h} \
    $RPM_BUILD_ROOT%{_bindir}/{ncdump,ncgen} \
    $RPM_BUILD_ROOT%{_includedir}/netcdf.{h,inc,f90} \
    $RPM_BUILD_ROOT%{_mandir}/man1/ncgen.1 \
    $RPM_BUILD_ROOT%{_mandir}/man1/ncdump.1
mv -f $RPM_BUILD_ROOT%{_bindir}/vmake $RPM_BUILD_ROOT%{_bindir}/vmake-hdf
mkdir -p $RPM_BUILD_ROOT%{_datadir}/hdf
cp -aR samples $RPM_BUILD_ROOT%{_datadir}/hdf/

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_prefix}/man/man1/nc{gen,dump}.1*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/libdf.a
%{_libdir}/libmfhdf.a
%{_includedir}/*
%{_mandir}/*/*

%files util
%defattr(-,root,root)
%doc COPYING README
%dir %{_datadir}/hdf
%dir %{_datadir}/hdf/samples
%{_bindir}/*
%attr(644,root,root) %{_datadir}/hdf/samples/*




%changelog

* Sat Mar 03 2007 Giuseppe Ghibò <ghibo@mandriva.com> 4.2r1-6mdv2007.0
+ Revision: 131852
- %%mkrel.
- Rebuilt.
- Import HDF

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.2r1-5mdk
- Rebuild

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 4.2r1-4mdk
- nuke man pages that conflicts with netcdf-devel

* Sun Aug 07 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 4.2r1-3mdk
- drop patch2 - fixed upstream in configure script

* Sat Aug 06 2005 Giuseppe Ghib <ghibo@mandriva.com> 4.2r1-2mdk
- cleaned SPEC file.

* Sat Aug 06 2005 Giuseppe Ghib <ghibo@mandriva.com> 4.2r1-1mdk
- Release: 4.2r1.
- Rebuilt Patch6.

* Sat Jun 12 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 4.1r5-8mdk
- fix ppc build

